#! /usr/bin/env python
# -*- coding: utf8 -*-

# Imports
import signal
import sys
sys.path.append("./osc")
import osc
from time import sleep

#Parameters
ip = "127.0.0.1"
port = 9000

#Interception ctrl-c, pour terminer proprement
def signal_handler(signal, frame):

    print '\nYou pressed Ctrl+C\nBye bye...'
    osc.dontListen()
    sys.exit(0)

def posIter():
    sens=0
    while 1:
        if sens==0:
            for i in range(-30,30,1):
                yield i/10.0
            sens=1
        else:
            for i in range(30,-30,-1):
                yield i/10.0
            sens=0

def myTest():
    """ a simple function that creates the necesary sockets and enters an enless
        loop sending and receiving OSC
    """
    print 'osc.init'
    osc.init()

    # Trap ctrc-C
    signal.signal(signal.SIGINT, signal_handler)
    posX = posIter()

    while 1:
        #Le message qu'on envoie
        # "une adresse", [quequechose1,quequechose2,...], ip, port
        osc.sendMsg("/pos", [posX.next(),125,45], ip, port)

        # La fréquence (temporisation) d'envoie en seconde
        sleep(.01)


if __name__ == '__main__': myTest()